package com.codvision.workflow.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 工作流催办类型
 * @author hxl
 */
@Getter
@AllArgsConstructor
public enum WorkFlowUrgingTypeEnum {

    // 系统通知
    SYS_NOTICE(0),

    // 短信
    SMS(1),

    // 浙政钉
    GOV_DING_TALK(2);

    private final int type;

    public static WorkFlowUrgingTypeEnum getType(int type) {
        for (WorkFlowUrgingTypeEnum value : values()) {
            if (value.getType() == type) {
                return value;
            }
        }
        return null;
    }
}
